Installing RStan using Rocker

I would like to be able to install the rstan package from binaries (without compiling from source). This blog post by Dirk Eddelbuettel has some clear instructions that should enable me to do exactly that. However I get the following error message when I try and install RStan. Here are the commands I used.

docker run --rm -ti rocker/r-ubuntu:18.04 bash
apt-get update; apt-get dist-upgrade -y
apt-get install -y r-cran-rstan

This produces the following error message.

Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 r-cran-rstan : Depends: r-cran-v8 but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Installing the R tidyverse package using Dirk’s instructions works fine. I am working on a Ubuntu OS within the Windows Subsystem for Linux (WSL-2).

Source: Docker Questions